Bug 192349 - xorg-x11-drv-savage fails to build in mock
xorg-x11-drv-savage fails to build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-18 19:49 EDT by Michael J Knox
Modified: 2013-01-09 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 12:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mdomsch's mock buildlog (9.50 KB, text/plain)
2006-05-18 19:49 EDT, Michael J Knox
no flags Details
Patch for missing BR (1.06 KB, patch)
2006-05-19 19:47 EDT, Brian Pepple
no flags Details | Diff
Mock build log for patch (29.52 KB, text/plain)
2006-05-19 19:48 EDT, Brian Pepple
no flags Details

  None (edit)
Description Michael J Knox 2006-05-18 19:49:16 EDT
This package fails to build in mock.  build.log is attached.
Comment 1 Michael J Knox 2006-05-18 19:49:16 EDT
Created attachment 129528 [details]
mdomsch's mock buildlog
Comment 2 Brian Pepple 2006-05-19 19:47:44 EDT
Created attachment 129665 [details]
Patch for missing BR
Comment 3 Brian Pepple 2006-05-19 19:48:24 EDT
Created attachment 129666 [details]
Mock build log for patch
Comment 4 Mike A. Harris 2006-05-23 10:33:19 EDT
Changing state to ASSIGNED.
Comment 5 Mike A. Harris 2006-05-26 12:39:40 EDT
--- xorg-x11-drv-savage.spec    23 May 2006 19:17:43 -0000      1.11
+++ xorg-x11-drv-savage.spec    26 May 2006 16:46:31 -0000
@@ -13,7 +13,7 @@
 Summary:   Xorg X11 savage video driver
 Name:      xorg-x11-drv-savage
 Version:   2.1.1
-Release:   2
+Release:   3
 URL:       http://www.x.org
 Source0:  
http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
 Source1:   savage.xinf
@@ -24,9 +24,10 @@
 ExclusiveArch: %{ix86} x86_64 ppc

 BuildRequires: pkgconfig
-BuildRequires: xorg-x11-server-sdk >= 1.0.99.901
+BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
 %if %{with_dri}
 BuildRequires: mesa-libGL-devel >= 6.4-4
+BuildRequires: libdrm-devel >= 2.0-1
 %endif

 Requires:  xorg-x11-server-Xorg >= 1.0.99.901
@@ -66,6 +67,9 @@
 %{_mandir}/man4/savage.4*

 %changelog
+* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 2.1.1-3
+- Added "BuildRequires: libdrm-devel >= 2.0-1" for DRI enabled builds (#192349)
+
 * Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 2.1.1-2
 - Rebuild for 7.1 ABI fix.

Note You need to log in before you can comment on or make changes to this bug.